> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Fields

> Admin: list all custom fields, optionally filtered by location.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/custom-fields
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/custom-fields:
    get:
      tags:
        - admin:custom-fields
      summary: List Custom Fields
      description: 'Admin: list all custom fields, optionally filtered by location.'
      operationId: list_custom_fields_api_v1_admin_custom_fields_get
      parameters:
        - name: location
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Filter by location: account, address, affiliate'
            title: Location
          description: 'Filter by location: account, address, affiliate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_CustomFieldOut__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_CustomFieldOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/CustomFieldOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[CustomFieldOut]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CustomFieldOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        type:
          type: string
          title: Type
        location:
          type: string
          title: Location
        validation:
          anyOf:
            - type: string
            - type: 'null'
          title: Validation
        sort_order:
          type: integer
          title: Sort Order
        is_active:
          type: boolean
          title: Is Active
        values:
          items:
            $ref: '#/components/schemas/CustomFieldValueOut'
          type: array
          title: Values
          default: []
      type: object
      required:
        - id
        - name_i18n
        - type
        - location
        - validation
        - sort_order
        - is_active
      title: CustomFieldOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CustomFieldValueOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        custom_field_id:
          type: string
          format: uuid
          title: Custom Field Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - custom_field_id
        - name_i18n
        - sort_order
      title: CustomFieldValueOut
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````